# -*- encoding: utf-8 -*-
# stub: bitfifo 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "bitfifo".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Bryan Colvin".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-01-23"
  s.description = "Bitfifo implements a FIFO for 1 or more bits of an Integer.\nThis will be needed for a compression and encryption system.\nCould be used for any variable length integer based problems including base64 encode/decode.\nIncludes bit reversals for LSB first or MSB first systems.\nNo need to worry about overfill as a Bignum is used to store bits.".freeze
  s.email = ["bryan@bdlsys.com".freeze]
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "FIFO system for 1 or more bits".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  end
end
